package com.boman.activity.service;

import com.boman.activity.domain.dto.ActTaskDTO;
import com.boman.activity.domain.dto.ActWorkflowFormDataDTO;
import com.boman.common.core.web.page.PageDomain;
import com.github.pagehelper.Page;

import java.text.ParseException;
import java.util.List;

public interface IActTaskService {
    public Page<ActTaskDTO> selectProcessDefinitionList(PageDomain pageDomain);
    public List<String>formDataShow(String taskID);
    public int formDataSave(String taskID, List<ActWorkflowFormDataDTO> awfs) throws ParseException;
}
